General discussion

Locked

USB Software

By rwill ·
I have a canon i960.
It says : a high speed USb is plugged into
a non high speed hub

This conversation is currently closed to new comments.

3 total posts (Page 1 of 1)  
| Thread display: Collapse - | Expand +

All Comments

Collapse -

by pierrejamme In reply to USB Software

Older hardware was USB 1.1 and the newest and greatest is version 2, it should be backward compatible.
If your Canon insists on USB2 you can install a PCI USB2 card for $30 0r $40. will definitely run faster than 1.1.

Collapse -

by w2ktechman In reply to USB Software

It should work fine, just a bit slower than its maximum capacity. USB2 is backward compatible with USB1. If the device is not functioning, then please give more details.

Collapse -

by TheChas In reply to USB Software

This is not a problem.
This is just a notice from XP telling you that you have USB 1.1 ports but have a USB 2.0 device plugged into them.

Under most situations, you will not see a significant printing speed increase by installing a USB 2.0 card.

Chas

Back to Windows Forum
3 total posts (Page 1 of 1)  

Related Discussions

Related Forums